<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Taxon</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Taxon";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Taxon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api.model</a></div>
<h2 title="Class Taxon" class="title">Class Taxon</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">nl.naturalis.nba.api.model.NbaTraceableObject</a></li>
<li>
<ul class="inheritance">
<li>nl.naturalis.nba.api.model.Taxon</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></code>, <code><a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Taxon</span>
extends <a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">NbaTraceableObject</a>
implements <a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ayco Holleman</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Taxon</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addDescription(nl.naturalis.nba.api.model.TaxonDescription)">addDescription</a></span>&#8203;(<a href="TaxonDescription.html" title="class in nl.naturalis.nba.api.model">TaxonDescription</a>&nbsp;description)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMonomial(nl.naturalis.nba.api.model.Monomial)">addMonomial</a></span>&#8203;(<a href="Monomial.html" title="class in nl.naturalis.nba.api.model">Monomial</a>&nbsp;monomial)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addReference(nl.naturalis.nba.api.model.Reference)">addReference</a></span>&#8203;(<a href="Reference.html" title="class in nl.naturalis.nba.api.model">Reference</a>&nbsp;reference)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addSynonym(nl.naturalis.nba.api.model.ScientificName)">addSynonym</a></span>&#8203;(<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&nbsp;synonym)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addVernacularName(nl.naturalis.nba.api.model.VernacularName)">addVernacularName</a></span>&#8203;(<a href="VernacularName.html" title="class in nl.naturalis.nba.api.model">VernacularName</a>&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAcceptedName()">getAcceptedName</a></span>()</code></th>
<td class="colLast">
<div class="block">Botanical equivalent of valid name.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="DefaultClassification.html" title="class in nl.naturalis.nba.api.model">DefaultClassification</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDefaultClassification()">getDefaultClassification</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="TaxonDescription.html" title="class in nl.naturalis.nba.api.model">TaxonDescription</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDescriptions()">getDescriptions</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Expert.html" title="class in nl.naturalis.nba.api.model">Expert</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getExperts()">getExperts</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the Elasticsearch system ID of the document corresponding to this
 instance.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOccurrenceStatusVerbatim()">getOccurrenceStatusVerbatim</a></span>()</code></th>
<td class="colLast">
<div class="block">This property expresses DwC term <a href="http://rs.tdwg.org/dwc/terms/occurrenceRemarks">occurrenceRemarks</a></div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Reference.html" title="class in nl.naturalis.nba.api.model">Reference</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getReferences()">getReferences</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSourceSystemParentId()">getSourceSystemParentId</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSynonyms()">getSynonyms</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Monomial.html" title="class in nl.naturalis.nba.api.model">Monomial</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSystemClassification()">getSystemClassification</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the system classification of this taxon, i.e.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTaxonRank()">getTaxonRank</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTaxonRemarks()">getTaxonRemarks</a></span>()</code></th>
<td class="colLast">
<div class="block">This property expresses DwC term
 <a href="http://rs.tdwg.org/dwc/terms/taxonRemarks">taxonRemarks</a></div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValidName()">getValidName</a></span>()</code></th>
<td class="colLast">
<div class="block">Zoological equivalent of accepted name.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="VernacularName.html" title="class in nl.naturalis.nba.api.model">VernacularName</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getVernacularNames()">getVernacularNames</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAcceptedName(nl.naturalis.nba.api.model.ScientificName)">setAcceptedName</a></span>&#8203;(<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&nbsp;scientificName)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDefaultClassification(nl.naturalis.nba.api.model.DefaultClassification)">setDefaultClassification</a></span>&#8203;(<a href="DefaultClassification.html" title="class in nl.naturalis.nba.api.model">DefaultClassification</a>&nbsp;defaultClassification)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDescriptions(java.util.List)">setDescriptions</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="TaxonDescription.html" title="class in nl.naturalis.nba.api.model">TaxonDescription</a>&gt;&nbsp;descriptions)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setExperts(java.util.List)">setExperts</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Expert.html" title="class in nl.naturalis.nba.api.model">Expert</a>&gt;&nbsp;experts)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setId(java.lang.String)">setId</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Sets the value of the Elasticsearch system ID.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOccurrenceStatusVerbatim(java.lang.String)">setOccurrenceStatusVerbatim</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;occurrenceStatusVerbatim)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setReferences(java.util.List)">setReferences</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Reference.html" title="class in nl.naturalis.nba.api.model">Reference</a>&gt;&nbsp;references)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSourceSystemParentId(java.lang.String)">setSourceSystemParentId</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;sourceSystemParentId)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSynonyms(java.util.List)">setSynonyms</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&gt;&nbsp;synonyms)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSystemClassification(java.util.List)">setSystemClassification</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Monomial.html" title="class in nl.naturalis.nba.api.model">Monomial</a>&gt;&nbsp;systemClassification)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTaxonRank(java.lang.String)">setTaxonRank</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;taxonRank)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTaxonRemarks(java.lang.String)">setTaxonRemarks</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;taxonRemarks)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setValidName(nl.naturalis.nba.api.model.ScientificName)">setValidName</a></span>&#8203;(<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&nbsp;scientificName)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setVernacularNames(java.util.List)">setVernacularNames</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="VernacularName.html" title="class in nl.naturalis.nba.api.model">VernacularName</a>&gt;&nbsp;vernacularNames)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.nl.naturalis.nba.api.model.NbaTraceableObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;nl.naturalis.nba.api.model.<a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">NbaTraceableObject</a></h3>
<code><a href="NbaTraceableObject.html#getRecordURI()">getRecordURI</a>, <a href="NbaTraceableObject.html#getSourceSystem()">getSourceSystem</a>, <a href="NbaTraceableObject.html#getSourceSystemId()">getSourceSystemId</a>, <a href="NbaTraceableObject.html#setRecordURI(java.net.URI)">setRecordURI</a>, <a href="NbaTraceableObject.html#setSourceSystem(nl.naturalis.nba.api.model.SourceSystem)">setSourceSystem</a>, <a href="NbaTraceableObject.html#setSourceSystemId(java.lang.String)">setSourceSystemId</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Taxon</h4>
<pre>public&nbsp;Taxon()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getId()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="IDocumentObject.html#getId()">IDocumentObject</a></code></span></div>
<div class="block">Returns the Elasticsearch system ID of the document corresponding to this
 instance. This is the value of the standard Elasticsearch <code>_id</code>
 field (not part of the document itself but of the <code>SearchHit</code>
 encapsulating the document).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IDocumentObject.html#getId()">getId</a></code>&nbsp;in interface&nbsp;<code><a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setId&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;id)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="IDocumentObject.html#setId(java.lang.String)">IDocumentObject</a></code></span></div>
<div class="block">Sets the value of the Elasticsearch system ID. We don't let Elasticsearch
 auto-generate IDs. Instead, IDs are generated as follows:<br>
 <br>
 "&lt;<a href="NbaTraceableObject.html#getSourceSystemId()"><code>source-system-id</code></a>&gt;"
 <code>+ "@" +</code> "&lt;<a href="SourceSystem.html#getCode()"><code>source-system-code</code></a>&gt;"<br>
 <br>
 (The source system code is a code assigned to the source system, e.g.
 BRAHMS, not some record-level code.)</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IDocumentObject.html#setId(java.lang.String)">setId</a></code>&nbsp;in interface&nbsp;<code><a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></code></dd>
</dl>
</li>
</ul>
<a id="getSourceSystemParentId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceSystemParentId</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getSourceSystemParentId()</pre>
</li>
</ul>
<a id="setSourceSystemParentId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceSystemParentId</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSourceSystemParentId&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;sourceSystemParentId)</pre>
</li>
</ul>
<a id="getTaxonRank()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaxonRank</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getTaxonRank()</pre>
</li>
</ul>
<a id="setTaxonRank(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTaxonRank</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTaxonRank&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;taxonRank)</pre>
</li>
</ul>
<a id="getTaxonRemarks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaxonRemarks</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getTaxonRemarks()</pre>
<div class="block">This property expresses DwC term
 <a href="http://rs.tdwg.org/dwc/terms/taxonRemarks">taxonRemarks</a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Taxon remarks as String</dd>
</dl>
</li>
</ul>
<a id="setTaxonRemarks(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTaxonRemarks</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTaxonRemarks&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;taxonRemarks)</pre>
</li>
</ul>
<a id="getOccurrenceStatusVerbatim()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOccurrenceStatusVerbatim</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getOccurrenceStatusVerbatim()</pre>
<div class="block">This property expresses DwC term <a href="http://rs.tdwg.org/dwc/terms/occurrenceRemarks">occurrenceRemarks</a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Occurrence status as String</dd>
</dl>
</li>
</ul>
<a id="setOccurrenceStatusVerbatim(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOccurrenceStatusVerbatim</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOccurrenceStatusVerbatim&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;occurrenceStatusVerbatim)</pre>
</li>
</ul>
<a id="getAcceptedName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAcceptedName</h4>
<pre class="methodSignature">public&nbsp;<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&nbsp;getAcceptedName()</pre>
<div class="block">Botanical equivalent of valid name. This returns the same value as
 <a href="#getValidName()"><code>getValidName()</code></a>. You can choose either method, according to
 taste.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>accepted name (ScientificName)</dd>
</dl>
</li>
</ul>
<a id="getValidName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidName</h4>
<pre class="methodSignature">public&nbsp;<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&nbsp;getValidName()</pre>
<div class="block">Zoological equivalent of accepted name. This returns the same value as
 <a href="#getAcceptedName()"><code>getAcceptedName()</code></a>. You can choose either method, according to
 taste.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>accepted name (Scientific Name)</dd>
</dl>
</li>
</ul>
<a id="setAcceptedName(nl.naturalis.nba.api.model.ScientificName)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAcceptedName</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAcceptedName&#8203;(<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&nbsp;scientificName)</pre>
</li>
</ul>
<a id="setValidName(nl.naturalis.nba.api.model.ScientificName)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidName</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setValidName&#8203;(<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&nbsp;scientificName)</pre>
</li>
</ul>
<a id="getDefaultClassification()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultClassification</h4>
<pre class="methodSignature">public&nbsp;<a href="DefaultClassification.html" title="class in nl.naturalis.nba.api.model">DefaultClassification</a>&nbsp;getDefaultClassification()</pre>
</li>
</ul>
<a id="setDefaultClassification(nl.naturalis.nba.api.model.DefaultClassification)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultClassification</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDefaultClassification&#8203;(<a href="DefaultClassification.html" title="class in nl.naturalis.nba.api.model">DefaultClassification</a>&nbsp;defaultClassification)</pre>
</li>
</ul>
<a id="getSystemClassification()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemClassification</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Monomial.html" title="class in nl.naturalis.nba.api.model">Monomial</a>&gt;&nbsp;getSystemClassification()</pre>
<div class="block">Get the system classification of this taxon, i.e. the as-is
 classification of the source system.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The system classification of this taxon</dd>
</dl>
</li>
</ul>
<a id="setSystemClassification(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSystemClassification</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSystemClassification&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Monomial.html" title="class in nl.naturalis.nba.api.model">Monomial</a>&gt;&nbsp;systemClassification)</pre>
</li>
</ul>
<a id="getSynonyms()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSynonyms</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&gt;&nbsp;getSynonyms()</pre>
</li>
</ul>
<a id="setSynonyms(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSynonyms</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSynonyms&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&gt;&nbsp;synonyms)</pre>
</li>
</ul>
<a id="getVernacularNames()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVernacularNames</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="VernacularName.html" title="class in nl.naturalis.nba.api.model">VernacularName</a>&gt;&nbsp;getVernacularNames()</pre>
</li>
</ul>
<a id="setVernacularNames(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVernacularNames</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setVernacularNames&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="VernacularName.html" title="class in nl.naturalis.nba.api.model">VernacularName</a>&gt;&nbsp;vernacularNames)</pre>
</li>
</ul>
<a id="getDescriptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescriptions</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="TaxonDescription.html" title="class in nl.naturalis.nba.api.model">TaxonDescription</a>&gt;&nbsp;getDescriptions()</pre>
</li>
</ul>
<a id="setDescriptions(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDescriptions</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDescriptions&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="TaxonDescription.html" title="class in nl.naturalis.nba.api.model">TaxonDescription</a>&gt;&nbsp;descriptions)</pre>
</li>
</ul>
<a id="getExperts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExperts</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Expert.html" title="class in nl.naturalis.nba.api.model">Expert</a>&gt;&nbsp;getExperts()</pre>
</li>
</ul>
<a id="setExperts(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExperts</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setExperts&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Expert.html" title="class in nl.naturalis.nba.api.model">Expert</a>&gt;&nbsp;experts)</pre>
</li>
</ul>
<a id="getReferences()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReferences</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Reference.html" title="class in nl.naturalis.nba.api.model">Reference</a>&gt;&nbsp;getReferences()</pre>
</li>
</ul>
<a id="setReferences(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReferences</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setReferences&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="Reference.html" title="class in nl.naturalis.nba.api.model">Reference</a>&gt;&nbsp;references)</pre>
</li>
</ul>
<a id="addSynonym(nl.naturalis.nba.api.model.ScientificName)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addSynonym</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addSynonym&#8203;(<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a>&nbsp;synonym)</pre>
</li>
</ul>
<a id="addMonomial(nl.naturalis.nba.api.model.Monomial)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMonomial</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addMonomial&#8203;(<a href="Monomial.html" title="class in nl.naturalis.nba.api.model">Monomial</a>&nbsp;monomial)</pre>
</li>
</ul>
<a id="addVernacularName(nl.naturalis.nba.api.model.VernacularName)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addVernacularName</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addVernacularName&#8203;(<a href="VernacularName.html" title="class in nl.naturalis.nba.api.model">VernacularName</a>&nbsp;name)</pre>
</li>
</ul>
<a id="addReference(nl.naturalis.nba.api.model.Reference)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addReference</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addReference&#8203;(<a href="Reference.html" title="class in nl.naturalis.nba.api.model">Reference</a>&nbsp;reference)</pre>
</li>
</ul>
<a id="addDescription(nl.naturalis.nba.api.model.TaxonDescription)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addDescription</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addDescription&#8203;(<a href="TaxonDescription.html" title="class in nl.naturalis.nba.api.model">TaxonDescription</a>&nbsp;description)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Taxon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
